Package nl.tudelft.simulation.dsol.animation.gis

## Class SerializableRectangle2D.Double

- java.lang.Object
- - java.awt.geom.RectangularShape
  - - java.awt.geom.Rectangle2D
    - - nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D
      - - nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D.Double

All Implemented Interfaces:
  `Shape`, `Serializable`, `Cloneable`

Enclosing class:
  SerializableRectangle2D

    public static class SerializableRectangle2D.Double
    extends SerializableRectangle2D
    implements Serializable

The SerializableRectangle2D.Double class is a serializable version of the `java.awt.geom.Rectangle2D.Double` class.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D

`SerializableRectangle2D.Double, SerializableRectangle2D.Float`

### Field Summary

### Fields inherited from class java.awt.geom.Rectangle2D

`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

### Constructor Summary

Constructors
`Double()` constructs a new SerializableRectangle2D.Double.
`Double​(double x, double y, double w, double h)` constructs a new SerializableRectangle2D.Double.

### Method Summary

All Methods Instance Methods Concrete Methods
`Rectangle2D` `createIntersection​(Rectangle2D r)`
`Rectangle2D` `createUnion​(Rectangle2D r)`
`Rectangle2D` `getBounds2D()`
`double` `getHeight()`
`double` `getWidth()`
`double` `getX()`
`double` `getY()`
`boolean` `isEmpty()`
`int` `outcode​(double x, double y)`
`void` `setRect​(double x, double y, double w, double h)`
`void` `setRect​(Rectangle2D r)`
`String` `toString()`

### Methods inherited from class java.awt.geom.Rectangle2D

`add, add, add, contains, contains, equals, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, union`

### Methods inherited from class java.awt.geom.RectangularShape

`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Double

    public Double()

constructs a new SerializableRectangle2D.Double.

#### Double

    public Double​(double x,
                  double y,
                  double w,
                  double h)

constructs a new SerializableRectangle2D.Double.

Parameters:
  `x` - double; lower x
  `y` - double; lower y
  `w` - double; width
  `h` - double; height

### Method Detail

#### createIntersection

    public Rectangle2D createIntersection​(Rectangle2D r)

Specified by:
  `createIntersection` in class `Rectangle2D`

#### createUnion

    public Rectangle2D createUnion​(Rectangle2D r)

Specified by:
  `createUnion` in class `Rectangle2D`

#### getBounds2D

    public Rectangle2D getBounds2D()

Specified by:
  `getBounds2D` in interface `Shape`
Overrides:
  `getBounds2D` in class `Rectangle2D`

#### getHeight

    public double getHeight()

Specified by:
  `getHeight` in class `RectangularShape`

#### getWidth

    public double getWidth()

Specified by:
  `getWidth` in class `RectangularShape`

#### getX

    public double getX()

Specified by:
  `getX` in class `RectangularShape`

#### getY

    public double getY()

Specified by:
  `getY` in class `RectangularShape`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in class `RectangularShape`

#### outcode

    public int outcode​(double x,
                       double y)

Specified by:
  `outcode` in class `Rectangle2D`

#### setRect

    public void setRect​(double x,
                        double y,
                        double w,
                        double h)

Specified by:
  `setRect` in class `Rectangle2D`

#### setRect

    public void setRect​(Rectangle2D r)

Overrides:
  `setRect` in class `Rectangle2D`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`